# LocalesResource

Canonical page: https://docs.ovok.com/java-sdk/reference/locales-resource

```java
public final class LocalesResource
```

Reads and changes the project locales. Get it from [`Ovok.locales()`](/java-sdk/reference/ovok#locales).

## Methods [#methods]

### retrieve [#retrieve]

```java
public JsonNode retrieve(RequestOptions options) throws IOException, InterruptedException
```

Gets the project locales (`GET /locales`).

**Parameters:**

- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response

### update [#update]

```java
public JsonNode update(
        Object locales,
        RequestOptions options) throws IOException, InterruptedException
```

Changes the project locales (`PATCH /locales`).

**Parameters:**

- `locales`: the locale changes
- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response
